Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/Fire.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/Fire.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/Fire.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,12 +38,11 @@
 
     [StorableConstructor]
-    private Fire(bool deserializing) : base(deserializing) { }
-    private Fire(Fire original, Cloner cloner)
-      : base(original, cloner) { }
+    protected Fire(bool deserializing) : base(deserializing) { }
+    protected Fire(Fire original, Cloner cloner) : base(original, cloner) { }
 
     public Fire()
       : base("Fire", "Immediately fires a bullet.") {
-      this.Prefix = "setFire(";
-      this.Suffix = ");";
+      Prefix = "setFire(";
+      Suffix = ");";
     }
 
@@ -52,18 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("Fire was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("Fire was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
       if (!(symbol is ShotPower))
-        throw new System.Exception("Fire was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(ShotPower).ToString() + ".");
+        throw new System.Exception("Fire was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(ShotPower) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("Fire was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnGunLeft.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnGunLeft.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnGunLeft.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,13 +38,11 @@
 
     [StorableConstructor]
-    private TurnGunLeft(bool deserializing) : base(deserializing) { }
-    private TurnGunLeft(TurnGunLeft original, Cloner cloner)
-      : base(original, cloner) {
-    }
+    protected TurnGunLeft(bool deserializing) : base(deserializing) { }
+    protected TurnGunLeft(TurnGunLeft original, Cloner cloner) : base(original, cloner) { }
 
     public TurnGunLeft()
       : base("TurnGunLeft", "Immediately turns the robot's gun to the left by degrees.") {
-      this.Prefix = "setTurnGunLeft(";
-      this.Suffix = ");";
+      Prefix = "setTurnGunLeft(";
+      Suffix = ");";
     }
 
@@ -53,20 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("TurnGunLeft was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("TurnGunLeft was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
-      if (!(symbol is Number || symbol is NumericalOperation || symbol is NumericalExpression))
-        throw new System.Exception("TurnGunLeft was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(Number).ToString() + " or " +
-            typeof(NumericalOperation).ToString() + " or " +
-            typeof(NumericalExpression).ToString() + ".");
+      if (!(symbol is NumericalExpression))
+        throw new System.Exception("TurnGunLeft was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(NumericalExpression) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("TurnGunLeft was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnGunRight.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnGunRight.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnGunRight.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,14 +38,11 @@
 
     [StorableConstructor]
-    private TurnGunRight(bool deserializing) : base(deserializing) { }
-    private TurnGunRight(TurnGunRight original, Cloner cloner)
-      : base(original, cloner) {
-
-    }
+    protected TurnGunRight(bool deserializing) : base(deserializing) { }
+    protected TurnGunRight(TurnGunRight original, Cloner cloner) : base(original, cloner) { }
 
     public TurnGunRight()
       : base("TurnGunRight", "Immediately turns the robot's gun to the right by degrees.") {
-      this.Prefix = "setTurnGunRight(";
-      this.Suffix = ");";
+      Prefix = "setTurnGunRight(";
+      Suffix = ");";
     }
 
@@ -54,20 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("TurnGunRight was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("TurnGunRight was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
-      if (!(symbol is Number || symbol is NumericalOperation || symbol is NumericalExpression))
-        throw new System.Exception("TurnGunRight was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(Number).ToString() + " or " +
-            typeof(NumericalOperation).ToString() + " or " +
-            typeof(NumericalExpression).ToString() + ".");
+      if (!(symbol is NumericalExpression))
+        throw new System.Exception("TurnGunRight was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(NumericalExpression) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("TurnGunRight was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnLeft.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnLeft.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnLeft.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,13 +38,11 @@
 
     [StorableConstructor]
-    private TurnLeft(bool deserializing) : base(deserializing) { }
-    private TurnLeft(TurnLeft original, Cloner cloner)
-      : base(original, cloner) {
-    }
+    protected TurnLeft(bool deserializing) : base(deserializing) { }
+    protected TurnLeft(TurnLeft original, Cloner cloner) : base(original, cloner) { }
 
     public TurnLeft()
       : base("TurnLeft", "Immediately turns the robot's body to the left by degrees.") {
-      this.Prefix = "setTurnLeft(";
-      this.Suffix = ");";
+      Prefix = "setTurnLeft(";
+      Suffix = ");";
     }
 
@@ -53,20 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("TurnLeft was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("TurnLeft was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
-      if (!(symbol is Number || symbol is NumericalOperation || symbol is NumericalExpression))
-        throw new System.Exception("TurnLeft was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(Number).ToString() + " or " +
-            typeof(NumericalOperation).ToString() + " or " +
-            typeof(NumericalExpression).ToString() + ".");
+      if (!(symbol is NumericalExpression))
+        throw new System.Exception("TurnLeft was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(NumericalExpression) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("TurnLeft was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRadarLeft.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRadarLeft.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRadarLeft.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,13 +38,11 @@
 
     [StorableConstructor]
-    private TurnRadarLeft(bool deserializing) : base(deserializing) { }
-    private TurnRadarLeft(TurnRadarLeft original, Cloner cloner)
-      : base(original, cloner) {
-    }
+    protected TurnRadarLeft(bool deserializing) : base(deserializing) { }
+    protected TurnRadarLeft(TurnRadarLeft original, Cloner cloner) : base(original, cloner) { }
 
     public TurnRadarLeft()
       : base("TurnRadarLeft", "Immediately turns the robot's radar to the left by degrees.") {
-      this.Prefix = "setTurnRadarLeft(";
-      this.Suffix = ");";
+      Prefix = "setTurnRadarLeft(";
+      Suffix = ");";
     }
 
@@ -53,20 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("TurnRadarLeft was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("TurnRadarLeft was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
-      if (!(symbol is Number || symbol is NumericalOperation || symbol is NumericalExpression))
-        throw new System.Exception("TurnRadarLeft was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(Number).ToString() + " or " +
-            typeof(NumericalOperation).ToString() + " or " +
-            typeof(NumericalExpression).ToString() + ".");
+      if (!(symbol is NumericalExpression))
+        throw new System.Exception("TurnRadarLeft was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(NumericalExpression) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("TurnRadarLeft was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRadarRight.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRadarRight.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRadarRight.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,14 +38,11 @@
 
     [StorableConstructor]
-    private TurnRadarRight(bool deserializing) : base(deserializing) { }
-    private TurnRadarRight(TurnRadarRight original, Cloner cloner)
-      : base(original, cloner) {
-
-    }
+    protected TurnRadarRight(bool deserializing) : base(deserializing) { }
+    protected TurnRadarRight(TurnRadarRight original, Cloner cloner) : base(original, cloner) { }
 
     public TurnRadarRight()
       : base("TurnRadarRight", "Immediately turns the robot's radar to the right by degrees.") {
-      this.Prefix = "setTurnRadarRight(";
-      this.Suffix = ");";
+      Prefix = "setTurnRadarRight(";
+      Suffix = ");";
     }
 
@@ -54,20 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("TurnRadarRight was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("TurnRadarRight was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
-      if (!(symbol is Number || symbol is NumericalOperation || symbol is NumericalExpression))
-        throw new System.Exception("TurnRadarRight was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(Number).ToString() + " or " +
-            typeof(NumericalOperation).ToString() + " or " +
-            typeof(NumericalExpression).ToString() + ".");
+      if (!(symbol is NumericalExpression))
+        throw new System.Exception("TurnRadarRight was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(NumericalExpression) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("TurnRadarRight was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
Index: branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRight.cs
===================================================================
--- branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRight.cs	(revision 10008)
+++ branches/Robocode.TrunkInt/HeuristicLab.Problems.Robocode/3.3/Symbols/Void Methods/TurnRight.cs	(revision 10011)
@@ -20,5 +20,5 @@
 #endregion
 
-
+using System.Collections.Generic;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
@@ -38,14 +38,11 @@
 
     [StorableConstructor]
-    private TurnRight(bool deserializing) : base(deserializing) { }
-    private TurnRight(TurnRight original, Cloner cloner)
-      : base(original, cloner) {
-
-    }
+    protected TurnRight(bool deserializing) : base(deserializing) { }
+    protected TurnRight(TurnRight original, Cloner cloner) : base(original, cloner) { }
 
     public TurnRight()
       : base("TurnRight", "Immediately turns the robot's body to the right by degrees.") {
-      this.Prefix = "setTurnRight(";
-      this.Suffix = ");";
+      Prefix = "setTurnRight(";
+      Suffix = ");";
     }
 
@@ -54,20 +51,17 @@
     }
 
-    public override string Interpret(ISymbolicExpressionTreeNode node, System.Collections.Generic.IEnumerable<ISymbolicExpressionTreeNode> children) {
+    public override string Interpret(ISymbolicExpressionTreeNode node, IEnumerable<ISymbolicExpressionTreeNode> children) {
       var enumerator = children.GetEnumerator();
+      if (!enumerator.MoveNext()) throw new System.Exception("TurnRight was not given a child.");
 
-      if (!enumerator.MoveNext()) throw new System.Exception("TurnRight was not given a child.");
       var symbol = enumerator.Current.Symbol;
-
-      if (!(symbol is Number || symbol is NumericalOperation || symbol is NumericalExpression))
-        throw new System.Exception("TurnRight was given a child of type " + symbol.GetType().ToString() +
-            ". The expected child must be of type " + typeof(Number).ToString() + " or " +
-            typeof(NumericalOperation).ToString() + " or " +
-            typeof(NumericalExpression).ToString() + ".");
+      if (!(symbol is NumericalExpression))
+        throw new System.Exception("TurnRight was given a child of type " + symbol.GetType() +
+            ". The expected child must be of type " + typeof(NumericalExpression) + ".");
 
       string result = ((CodeNode)symbol).Interpret(enumerator.Current, enumerator.Current.Subtrees);
       if (enumerator.MoveNext()) throw new System.Exception("TurnRight was given more than one child.");
 
-      return this.Prefix + result + this.Suffix;
+      return Prefix + result + Suffix;
     }
   }
